%define rname splix
%define rev 20130826svn315

Summary:	CUPS printer driver for QPDL/SPL2 printers
Name:		cups-drivers-%{rname}
Version:	2.0.1
Release:	%mkrel -c %{rev} 12
License:	GPLv2
Group:		System/Printing
URL:		http://splix.ap2c.org/
#svn checkout svn://svn.code.sf.net/p/splix/code/ splix-code
Source0:	%{rname}-%{version}.%{rev}.tar.gz
Patch0:		%{rname}-2.0.0-ldflags.patch
Patch2:		%{rname}-2.0.0-gcc44.patch
# IEEE 1284 Device IDs
Patch4:		%{rname}-deviceID-fedora.patch
Patch5:		%{rname}-2.0.0-fix-alignment-problem-on-armel-deb.patch
Patch6:		%{rname}-2.0.0-qt5.patch
Requires:	cups
BuildRequires:	cups
BuildRequires:	cups-devel
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	ghostscript
# JBIG1 lossless image compression
BuildRequires:	jbig-devel

%description
This driver is usable by all printer devices which understand the QPDL
(Quick Page Description Language) also known as SPL2 (Samsung Printer Language)
language. It covers several Samsung, Xerox, Lexmark, Toshiba and Dell printers.
Splix doesn't support old SPL(1) printers.

%prep
%setup -q -n %{rname}-%{version}.%{rev}
%autopatch -p1

# remove old PPDs (not sure why some PPDs are outside ppd/)
rm -f *.ppd

%build
pushd ppd
# remove old PPDs
%make_build distclean
popd

%make_build CXXFLAGS="%{optflags} -fPIC `pkg-config Qt5Core --cflags`" \
            LIBS="`pkg-config Qt5Core --libs` %{ldflags}" -C tools
# *.drv.in -> *.drv
%make_build drv
%make_build all V=1 DRV_ONLY=1

%install
%make_install DRV_ONLY=1
mkdir -p %{buildroot}%{_bindir}
install -m0755 tools/decompress %{buildroot}%{_bindir}/%{name}-decompress

cat << EOF > README.urpmi
Installation of the color profile for color printers:
-----------------------------------------------------

	Color printers need color profile files to get better results. These
files are provided by your printer manufacturer and you have to install them
manually. To do that, download the official linux drivers and locate the "cms"
directory. Install the contents to "/usr/share/cups/profiles/\$MANUFACTURER".

	Samsung color profile files are available at:
		(Then use MANUFACTURER=samsung)
		http://splix.ap2c.org/samsung_cms.tar.bz2
EOF

%files
%doc AUTHORS COPYING ChangeLog README THANKS TODO
%doc README.urpmi
%{_bindir}/%{name}-decompress
%{_prefix}/lib/cups/filter/pstoqpdl
%{_prefix}/lib/cups/filter/rastertoqpdl
%{_datadir}/cups/drv/%{rname}-dell.drv
%{_datadir}/cups/drv/%{rname}-lexmark.drv
%{_datadir}/cups/drv/%{rname}-samsung.drv
%{_datadir}/cups/drv/%{rname}-toshiba.drv
%{_datadir}/cups/drv/%{rname}-xerox.drv




%changelog
* Wed Dec 16 2020 umeabot <umeabot> 2.0.1-0.20130826svn315.12.mga8
+ Revision: 1658298
- Rebuild for new Qt5

* Sat Feb 15 2020 umeabot <umeabot> 2.0.1-0.20130826svn315.11.mga8
+ Revision: 1524436
- Mageia 8 Mass Rebuild

* Sat Mar 30 2019 umeabot <umeabot> 2.0.1-0.20130826svn315.10.mga7
+ Revision: 1381505
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 2.0.1-0.20130826svn315.9.mga7
+ Revision: 1297369
- Mageia 7 Mass Rebuild

* Thu May 17 2018 daviddavid <daviddavid> 2.0.1-0.20130826svn315.8.mga7
+ Revision: 1229993
- port to Qt5

* Sat Mar 24 2018 kekepower <kekepower> 2.0.1-0.20130826svn315.7.mga7
+ Revision: 1211921
- Use new make macros

* Tue Feb 09 2016 umeabot <umeabot> 2.0.1-0.20130826svn315.6.mga6
+ Revision: 952248
- Mageia 6 Mass Rebuild

* Mon Feb 02 2015 alexl <alexl> 2.0.1-0.20130826svn315.5.mga5
+ Revision: 813102
- rebuild for cups-2.0.1

* Wed Oct 15 2014 umeabot <umeabot> 2.0.1-0.20130826svn315.4.mga5
+ Revision: 744023
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 alexl <alexl> 2.0.1-0.20130826svn315.3.mga5
+ Revision: 695691
- added Device ID for Samsung ML-2160
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild

* Mon Apr 28 2014 alexl <alexl> 2.0.1-0.20130826svn315.2.mga5
+ Revision: 618769
- used README.urpmi instead of post

* Sat Mar 29 2014 alexl <alexl> 2.0.1-0.20130826svn315.1.mga5
+ Revision: 609304
- use svn instead of http for source
- fix with versioning guidelines
- add BuildRequires: jbig-devel
- enable JBIG1 (JBIG1 is free of known patents in all countries from 2012-04-04)
- move defattr
- clean spec
- new summary and description
- fixed license
- add patches from Fedora (IEEE 1284 Device IDs) and Debian (alignment on arm)
- move old Conflicts
- move old PPDs, use DRVs instead
- add info about color profile (Arch Linux) in post

* Fri Oct 18 2013 umeabot <umeabot> 2.0.0-6.mga4
+ Revision: 503716
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 2.0.0-5.mga3
+ Revision: 348468
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Feb 23 2011 ennael <ennael> 2.0.0-4.mga1
+ Revision: 57747
- imported package cups-drivers-splix


* Wed Dec 01 2010 Oden Eriksson <oeriksson@mandriva.com> 2.0.0-4mdv2011.0
+ Revision: 604280
- fix build
- rebuild

* Sun Mar 14 2010 Oden Eriksson <oeriksson@mandriva.com> 2.0.0-3mdv2010.1
+ Revision: 518900
- fix deps
- rebuild

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 2.0.0-2mdv2010.0
+ Revision: 413295
- rebuild

  + Christophe Fergeau <cfergeau@mandriva.com>
    - fix build with gcc 4.4

* Sun Mar 22 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 2.0.0-1mdv2009.1
+ Revision: 360197
- Updated to version 2.0.0
- Redid ldflags patch.
- Build with DISABLE_JBIG=1, and dont build jbgtopbm (tools-nojbig
  patch), because of possible patent issue.

* Tue Dec 23 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-6mdv2009.1
+ Revision: 318082
- really use %%optflags
- use %%ldflags

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 1.0.1-5mdv2009.0
+ Revision: 220550
- rebuild

* Fri Jan 11 2008 Thierry Vignaud <tv@mandriva.org> 1.0.1-4mdv2008.1
+ Revision: 149157
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Aug 30 2007 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-3mdv2008.0
+ Revision: 75337
- fix deps (pixel)

* Thu Aug 16 2007 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-2mdv2008.0
+ Revision: 64157
- use the new System/Printing RPM GROUP

* Mon Aug 13 2007 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-1mdv2008.0
+ Revision: 62518
- Import cups-drivers-splix



* Mon Aug 13 2007 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-1mdv2008.0
- initial Mandriva package
